package cn.fw.morax.domain.bo.kpi;

import cn.fw.morax.domain.enums.KpiTargetTypeEnum;
import lombok.*;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiIndicatorBO
 * @description : 绩效指标bo
 * @date : 2022-04-11 15:25
 */
@Data
@EqualsAndHashCode
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class KpiIndicatorBO {
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 指标编码
     */
    private String indicatorCode;
    /**
     * 指标名称
     */
    private String indicatorName;
    /**
     * 集团id
     */
    private Long groupId;
}
