package cn.fw.morax.domain.dto;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author : kurisu
 * @date : 2022-4-2
 * @desc : 指标库
 */
@Data
public class SalaryProjectAbleDTO {

    /**
     * 薪酬指标id
     */
    @NotNull(message = "薪酬指标id不能为空")
    private Long salaryProjectId;

    /**
     * 启用禁用
     */
    @NotNull(message = "启用禁用")
    private Boolean enable;

}