package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.web.annotation.LoginContextField;
import cn.fw.morax.domain.enums.ApplicableRoleEnum;
import lombok.Data;

import java.util.List;

@Data
public class IndicatorQueryDTO extends BasePageQuery {

    /**
     * 角色编码
     */
    private String roleCode;

    /**
     * 指标名称或编码
     */
    private String keyword;

    /**
     * 全部角色类型
     */
    private List<ApplicableRoleEnum> allRoleTypes;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}
