package cn.fw.morax.service.data.kpi.impl;

import cn.fw.morax.dao.kpi.KpiGroupUserDao;
import cn.fw.morax.domain.db.kpi.KpiGroupUser;
import cn.fw.morax.service.data.kpi.KpiGroupUserService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.time.YearMonth;

@Service
@Slf4j
@AllArgsConstructor
public class KpiGroupUserServiceImpl extends ServiceImpl<KpiGroupUserDao, KpiGroupUser> implements KpiGroupUserService {

    @Override
    public KpiGroupUser getMonthLastData(String kgc, Long userId, YearMonth yearMonth) {
        return this.baseMapper.getMonthLastData(kgc, userId, yearMonth);
    }
}
