package cn.fw.morax.domain.bo.kpi;

import cn.fw.morax.domain.enums.StarLevelEnum;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 星级评定阶梯
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class KpiStarLadderBO {
    /**
     * 等级;1:A 2:B 3:C 4:D
     */
    private StarLevelEnum level;
    /**
     * 下限
     */
    private BigDecimal lower;
    /**
     * 上限
     */
    private BigDecimal upper;
}