package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.web.annotation.LoginContextField;
import lombok.Data;

import java.util.List;

@Data
public class KpiGroupRankQueryDTO extends BasePageQuery {

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 绩效组编码
     */
    private List<String> kgcs;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}
