package cn.fw.morax.domain.dto.query;

import cn.fw.common.web.annotation.LoginContextField;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import java.util.List;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class KpiGroupRankStaffQueryDTO {

    /**
     * 集团id
     */
    private List<Long> kpiGroupIds;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}
