package cn.fw.morax.domain.dto.query;

import cn.fw.common.page.BasePageQuery;
import cn.fw.common.web.annotation.LoginContextField;
import lombok.Data;

@Data
public class SalaryGroupQueryDTO extends BasePageQuery {

    /**
     * 门店id
     */
    private Long shopId;

    /**
     * 岗位id
     */
    private Long postId;

    /**
     * 集团id
     */
    @LoginContextField(LoginContextField.Name.GROUP_ID)
    private Long groupId;

}
