package cn.fw.morax.domain.vo.kpi;

import lombok.Data;

/**
 * @author : kurisu
 * @date : 2022-4-6
 * @desc : 绩效组保存提示
 */
@Data
public class KpiGroupSavePromptVO {

    /**
     * 是否提示
     */
    private Boolean prompt;

    /**
     * 提示信息
     */
    private String msg;

    public KpiGroupSavePromptVO() {
    }

    public KpiGroupSavePromptVO(Boolean prompt) {
        this.prompt = prompt;
    }

    public KpiGroupSavePromptVO(Boolean prompt, String msg) {
        this.prompt = prompt;
        this.msg = msg;
    }
}
