package cn.fw.morax.domain.vo.salary;

import cn.fw.morax.common.annotation.ExcelField;
import cn.fw.morax.domain.enums.StarLevelEnum;
import lombok.Data;

import java.math.BigDecimal;
import java.time.YearMonth;

@Data
public class StaffPersonTaxVO {

    /**
     * 员工身份证
     */
    @ExcelField(title = "身份证", sort = 0, charSize = 40)
    private String idNumber;

    /**
     * 姓名
     */
    @ExcelField(title = "姓名", sort = 1, charSize = 16)
    private String name;

    /**
     * 个税
     */
    @ExcelField(title = "个税", sort = 2, charSize = 16)
    private BigDecimal tax;


}
