package cn.fw.morax.sdk.dto.kpi;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author : kurisu
 * @className : KpiIndicator
 * @description :
 * @date : 2022-04-07 15:29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class KpiReportNoticeMQ {
    /**
     * topic
     */
    public final static String TOPIC = "kpi_report";
    /**
     * 指标编码
     */
    private String indicatorCode;
    /**
     * 指标名称
     */
    private String indicatorName;
    /**
     * 岗位id
     */
    private Long postId;
    /**
     * 岗位名称
     */
    private String postName;
    /**
     * 需要上报日期
     */
    private Date uploadDate;
    /**
     * 集团id
     */
    private Long groupId;
    /**
     * 唯一标识
     */
    private Long uid;
}
