package cn.fw.morax.service.data.kpi;

import cn.fw.common.data.mybatis.pagination.PageData;
import cn.fw.common.page.AppPage;
import cn.fw.morax.domain.db.kpi.KpiPool;
import cn.fw.morax.domain.dto.query.KpiPoolQueryDTO;
import cn.fw.morax.domain.vo.kpi.KpiPoolVO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @author : kurisu
 * @version : 1.0
 * @className : KpiPoolService
 * @description : 绩效池服务
 * @date : 2022-04-14 11:27
 */
public interface KpiPoolService extends IService<KpiPool> {

    /**
     * 绩效池分页查询
     *
     * @param dto
     * @return
     */
    List<KpiPoolVO> queryPagePool(KpiPoolQueryDTO dto);

    /**
     * 查询总条数
     *
     * @param dto
     * @return
     */
    long queryPagePoolTotal(KpiPoolQueryDTO dto);
}
